<template>
  <v-layout wrap>
    <template v-for="pokemon in pokemones">
      <v-flex xs3 class="lista" :key="pokemon.url.split('/')[pokemon.url.split('/').length-2]">
        <v-card @click="irPokemon(pokemon.url.split('/')[pokemon.url.split('/').length-2])">
          <v-layout align-center>
            <v-flex class="pokemon-image">
              <img :src="link+pokemon.url.split('/')[pokemon.url.split('/').length-2]+'.png'" alt="">
            </v-flex>
            <v-flex>
              {{ pokemon.name }}
            </v-flex>
          </v-layout>
        </v-card>
      </v-flex>
    </template>
    <template>
      <v-layout wrap row>
        <v-flex xs10 offset-xs1 justify-center>
          <div class="text-xs-center">
            <v-pagination
              v-model="page"
              :length="Math.ceil(total/20)"
            ></v-pagination>
          </div>
        </v-flex>
      </v-layout>
    </template>
  </v-layout>
</template>

<script>
import servicePokemon from '@/services/PokemonServices.js'

export default {
  data(){
    return {
      link: 'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/',
      page:1,
      pokemones: [],
      total: 0
    }
  },
  watch:{
    page(){
      servicePokemon.getPokemones(this.page)
      .then(response => {
        this.pokemones = response.data.results
        this.total = response.data.count
      })
    }
  },
  created(){
    servicePokemon.getPokemones()
    .then(response => {
      this.pokemones = response.data.results
      this.total = response.data.count
    })
  },
  methods: {
    irPokemon(id){
      this.$router.push('/pokemon/'+id)
    }
  }
}
</script>
<style>
.lista{
  padding: 2px;
}
</style>
